Bug 15141 - Add MARC21 770/772 to OPAC and staff detail pages
Summary: Add MARC21 770/772 to OPAC and staff detail pages
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-05 13:00 UTC by Katrin Fischer
Modified: 2020-11-16 21:25 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Adds display for 770 (Supplement/Special issue entry) and 772 (Supplement parent entry) to the OPAC and staff interface detail pages.
Version(s) released in:
20.11.00


Attachments
Bug 15141: Add MARC21 770/772 Supplement (parent) to OPAC and staff detail pages (12.06 KB, patch)
2020-09-13 22:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15141: Add MARC21 770/772 Supplement (parent) to OPAC and staff detail pages (12.11 KB, patch)
2020-09-16 15:19 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 15141: Add MARC21 770/772 Supplement (parent) to OPAC and staff detail pages (12.17 KB, patch)
2020-10-15 15:07 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-11-05 13:00:39 UTC
772 - Supplement Parent Entry (R)
http://www.loc.gov/marc/bibliographic/bd772.html

is currently not displayed in OPAC or staff and should be added.
Comment 1 Katrin Fischer 2020-09-13 22:31:04 UTC
Created attachment 110026 [details] [review]
Bug 15141: Add MARC21 770/772 Supplement (parent) to OPAC and staff detail pages

Adds the 2 corresponding linking fields to the staff and OPAC detail pages:

770 - Supplement/Special Issue Entry (R)
https://www.loc.gov/marc/bibliographic/bd770.html

772 - Supplement Parent Entry (R)
https://www.loc.gov/marc/bibliographic/bd772.html

To test:
- Catalog records with 770/772 in Koha, examples can be found in the LOC
  documentation.
  - When UseControlNumber is set to Use and $w is added, a link will be built using $w
  - If there is no $w or UseControlNumber is Don't use, a link will be build using the title
- Verify that they display nicely in the OPAC and staff detail pages
Comment 2 Martin Renvoize 2020-09-16 15:19:38 UTC
Created attachment 110218 [details] [review]
Bug 15141: Add MARC21 770/772 Supplement (parent) to OPAC and staff detail pages

Adds the 2 corresponding linking fields to the staff and OPAC detail pages:

770 - Supplement/Special Issue Entry (R)
https://www.loc.gov/marc/bibliographic/bd770.html

772 - Supplement Parent Entry (R)
https://www.loc.gov/marc/bibliographic/bd772.html

To test:
- Catalog records with 770/772 in Koha, examples can be found in the LOC
  documentation.
  - When UseControlNumber is set to Use and $w is added, a link will be built using $w
  - If there is no $w or UseControlNumber is Don't use, a link will be build using the title
- Verify that they display nicely in the OPAC and staff detail pages

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2020-09-16 15:20:02 UTC
Working well.. Signing off
Comment 4 Katrin Fischer 2020-10-14 19:55:26 UTC
I am sending this back to the sign-off queue to widen the circle of possible testers. It's small, it's fun, please test!
Comment 5 Tomás Cohen Arazi 2020-10-15 15:07:42 UTC
Created attachment 111756 [details] [review]
Bug 15141: Add MARC21 770/772 Supplement (parent) to OPAC and staff detail pages

Adds the 2 corresponding linking fields to the staff and OPAC detail pages:

770 - Supplement/Special Issue Entry (R)
https://www.loc.gov/marc/bibliographic/bd770.html

772 - Supplement Parent Entry (R)
https://www.loc.gov/marc/bibliographic/bd772.html

To test:
- Catalog records with 770/772 in Koha, examples can be found in the LOC
  documentation.
  - When UseControlNumber is set to Use and $w is added, a link will be built using $w
  - If there is no $w or UseControlNumber is Don't use, a link will be build using the title
- Verify that they display nicely in the OPAC and staff detail pages

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 6 Jonathan Druart 2020-11-04 12:02:15 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-11-16 21:25:27 UTC
enhancement will not be backported to 20.05.x